module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 3);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
exports.SET_ROOTPATH = '@@files-stack/SET_ROOTPATH';
exports.CHANGE_DIRECTORY_EXPAND = '@@files-stack/CHANGE_DIRECTORY_EXPAND';
exports.REFRESH_DIRECTORY = '@@files-stack/REFRESH_DIRECTORY';
exports.SET_CHILDREN_COUNT = '@@files-stack/SET_CHILDREN_COUNT';
exports.SELECT_FILE = '@@files-stack/SELECT_FILE';
exports.OPEN_FILE = '@@files-stack/OPEN_FILE';
exports.SAVE_FILE = '@@files-stack/SAVE_FILE';
exports.MUTATE_FILES = '@@files-stack/MUTATE_FILES';
exports.MUTATE_FILES_COMPLETE = '@@files-stack/MUTATE_FILES_COMPLETE';
exports.MUTATE_FILES_RESET = '@@files-stack/MUTATE_FILES_RESET';
exports.ADD_EDIT = '@@files-stack/ADD_EDIT';
exports.REMOVE_EDIT = '@@files-stack/REMOVE_EDIT';
exports.SELECT_EDIT = '@@files-stack/SELECT_EDIT';
exports.CHANGE_EDIT = '@@files-stack/CHANGE_EDIT';
exports.UPDATE_CONTENT = '@@files-stack/UPDATE_CONTENT';
exports.COLLAPSE_ALL = '@@files-stack/COLLAPSE_ALL';
exports.NEW_FILE = '@@files-stack/NEW_FILE';
exports.NEW_FOLDER = '@@files-stack/NEW_FOLDER';
exports.DRAG_OVER_FILE = '@@files-stack/DRAG_OVER_FILE';
exports.TOGGLE_EDITORS_EXPAND = '@@files-stack/TOGGLE_EDITORS_EXPAND';
exports.ACTIVATE_EDITOR = '@@files-stack/ACTIVATE_EDITOR';
exports.UPDATE_EDITORS_HEIGHT = '@@files-stack/UPDATE_EDITORS_HEIGHT';
exports.OPEN_MARKDOWN = '@@files-stack/OPEN_MARKDOWN';
exports.SET_FINDER_OPTIONS = '@@files-stack/SET_FINDER_OPTIONS';
exports.SAVE_ALL_EDITORS = '@@files-stack/SAVE_ALL_EDITORS';
exports.CLOSE_ALL_EDITORS = '@@files-stack/CLOSE_ALL_EDITORS';
exports.KEEP_OPEN_EDITOR = '@@files-stack/KEEP_OPEN_EDITOR';


/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = require("ramda");

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(0));
__export(__webpack_require__(10));
__export(__webpack_require__(11));


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(4));
__export(__webpack_require__(2));
__export(__webpack_require__(12));


/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const files_reducer_1 = __webpack_require__(5);
const edit_reducer_1 = __webpack_require__(6);
exports.reducers = Object.assign({}, files_reducer_1.filesReducers, edit_reducer_1.editReducers);


/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const ramda_1 = __webpack_require__(1);
const actionTypes = __webpack_require__(0);
function expand(state = [], action) {
    let index;
    switch (action.type) {
        case actionTypes.CHANGE_DIRECTORY_EXPAND:
            index = ramda_1.findIndex(ramda_1.propEq('resource', action.resource))(state);
            if (index !== -1) {
                state[index] = { resource: action.resource, expand: action.expand, path: action.path };
                return state.concat([]);
            }
            else if (action.expand) {
                return state.concat({ resource: action.resource, expand: action.expand, path: action.path });
            }
            else {
                return state;
            }
        case actionTypes.SET_CHILDREN_COUNT:
            index = ramda_1.findIndex(ramda_1.propEq('resource', action.resource))(state);
            if (index !== -1) {
                state[index] = Object.assign({}, state[index], { children: action.children });
                return state.concat([]);
            }
            else {
                return state;
            }
        case actionTypes.COLLAPSE_ALL:
            const files = state.map(node => (Object.assign({}, node, { expand: false })));
            return [...files];
        default:
            return state;
    }
}
function refresh(state = 0, action) {
    switch (action.type) {
        case actionTypes.REFRESH_DIRECTORY:
            return state + 1;
        default:
            return state;
    }
}
function selectedFile(state = null, action) {
    switch (action.type) {
        case actionTypes.SELECT_FILE:
            return { fileStat: action.fileStat, path: action.path };
        default:
            return state;
    }
}
function rootpath(state = null, action) {
    switch (action.type) {
        case actionTypes.SET_ROOTPATH:
            return action.rootpath;
        default:
            return state;
    }
}
function mutateFiles(state = {}, action) {
    switch (action.type) {
        case actionTypes.MUTATE_FILES_RESET:
            return Object.assign({}, state, {
                mutation: '',
                options: {},
                calling: false,
            });
        case actionTypes.MUTATE_FILES_COMPLETE:
            return Object.assign({}, state, {
                calling: false,
            });
        case actionTypes.MUTATE_FILES:
            let newState = Object.assign({}, state, {
                calling: true,
                mutation: action.mutation,
                options: action.payload,
            });
            if (action.mutation === 'copy') {
                return Object.assign({}, newState, {
                    copyPath: action.payload.resource,
                });
            }
            else {
                return newState;
            }
        case actionTypes.NEW_FILE:
            return Object.assign({}, state, {
                calling: false,
                mutation: 'new-file',
                options: action.payload,
            });
        case actionTypes.NEW_FOLDER:
            return Object.assign({}, state, {
                calling: false,
                mutation: 'new-folder',
                options: action.payload,
            });
        default:
            return state;
    }
}
function dragOveredFile(state = null, action) {
    switch (action.type) {
        case actionTypes.DRAG_OVER_FILE:
            if (action.fileStat) {
                return { fileStat: action.fileStat, path: action.path };
            }
            else {
                return null;
            }
        default:
            return state;
    }
}
function editorsExpand(state = true, action) {
    switch (action.type) {
        case actionTypes.TOGGLE_EDITORS_EXPAND:
            return action.expand;
        default:
            return state;
    }
}
exports.filesReducers = {
    '@files/expand': expand,
    '@files/selectedFile': selectedFile,
    '@files/rootpath': rootpath,
    '@files/refresh': refresh,
    '@files/mutate': mutateFiles,
    '@files/dragOveredFile': dragOveredFile,
    '@files/editorsExpand': editorsExpand,
};


/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const ramda_1 = __webpack_require__(1);
const lodash_1 = __webpack_require__(7);
const core_1 = __webpack_require__(8);
const client_core_1 = __webpack_require__(9);
const actionTypes = __webpack_require__(0);
const initialEditState = {
    openingFiles: [],
    editingFiles: [],
    editors: [],
    editorWrappers: [],
    activeEditorId: 0,
    readingFile: { resource: '' },
    oldValue: '',
    deleted: false,
    allSave: false,
};
function edit(state = initialEditState, action) {
    let index;
    let openingFiles;
    let editingFiles;
    let activeEditorId;
    let editors;
    let editorWrappers;
    let editorId;
    let readingFile;
    switch (action.type) {
        case actionTypes.OPEN_FILE:
            activeEditorId = state.activeEditorId;
            editors = [...state.editors];
            editorWrappers = [...state.editorWrappers];
            openingFiles = [...state.openingFiles];
            index = ramda_1.findIndex(ramda_1.whereEq({
                resource: 'file://' + action.payload.resource,
                editorId: activeEditorId,
            }))(openingFiles);
            if (index !== -1) {
                openingFiles[index] = Object.assign({}, openingFiles[index], { preopen: false });
                editingFiles = lodash_1.filter(state.editingFiles, item => item.editorId !== activeEditorId);
                editingFiles.push(Object.assign({}, openingFiles[index]));
                return Object.assign({}, state, { openingFiles: [...openingFiles], editingFiles: [...editingFiles], editorWrappers: client_core_1.addEditorHistory(editorWrappers, activeEditorId, 'file://' + action.payload.resource) });
            }
            else {
                if (editors.length === 0) {
                    editors = [1];
                    editorWrappers = [{
                            editorId: 1,
                            height: client_core_1.EDITOR_DEFAULT_HEIGHT,
                            history: ['file://' + action.payload.resource],
                        }];
                    activeEditorId = 1;
                }
                if (action.payload.editorId) {
                    activeEditorId = action.payload.editorId;
                    index = editors.indexOf(action.payload.editorId);
                    if (index === -1) {
                        if (editors.length < 3) {
                            editors.push(action.payload.editorId);
                            editorWrappers.push({ editorId: action.payload.editorId, height: client_core_1.EDITOR_DEFAULT_HEIGHT });
                        }
                        else {
                            activeEditorId = editors[editors.length - 1];
                        }
                    }
                }
                readingFile = {
                    resource: action.payload.resource,
                    name: action.payload.name,
                    editorId: activeEditorId,
                };
                return Object.assign({}, state, { readingFile,
                    activeEditorId, editors: [...editors], editorWrappers: client_core_1.addEditorHistory(editorWrappers, activeEditorId, 'file://' + action.payload.resource), oldValue: action.payload ? action.payload.oldValue : null, deleted: action.payload ? action.payload.deleted : null, addIgnore: action.payload ? action.payload.addIgnore : null });
            }
        case actionTypes.ADD_EDIT:
            if (action.content.editorId) {
                editorId = action.content.editorId;
                openingFiles = [...state.openingFiles];
                editors = [...state.editors];
                editorWrappers = [...state.editorWrappers];
                if (action.content.preopen) {
                    openingFiles = lodash_1.filter(openingFiles, item => !(item.editorId === editorId && item.preopen));
                }
                if (editors.length === 0) {
                    editors = [editorId];
                    editorWrappers = [{ editorId: 1, height: client_core_1.EDITOR_DEFAULT_HEIGHT, history: [] }];
                }
                activeEditorId = editorId;
                index = editors.indexOf(editorId);
                if (index === -1) {
                    if (editors.length < 3) {
                        editors.push(editorId);
                        editorWrappers.push({ editorId, height: client_core_1.EDITOR_DEFAULT_HEIGHT, history: [] });
                    }
                    else {
                        activeEditorId = editors[editors.length - 1];
                    }
                }
                const items = lodash_1.filter(openingFiles, item => item.resource === action.content.resource);
                if (items.length === 0) {
                    let newValue;
                    if (!state.deleted && action.content && !state.addIgnore) {
                        newValue = action.content.value;
                    }
                    else if (state.deleted && action.content || !action.content) {
                        newValue = '';
                    }
                    else if (!state.deleted && action.content && state.addIgnore) {
                        newValue = action.content.value.concat(`\n\n${state.addIgnore}`);
                    }
                    openingFiles.push(Object.assign({}, action.content, { newValue, oldValue: state.oldValue, value: state.deleted ? '' : action.content.value, deleted: state.deleted }));
                }
                else {
                    items.forEach(item => {
                        const itemIndex = openingFiles.indexOf(item);
                        if (itemIndex !== -1) {
                            openingFiles[itemIndex] = Object.assign({}, openingFiles[itemIndex], { value: openingFiles[itemIndex].deleted ? '' : action.content.value });
                        }
                    });
                    index = ramda_1.findIndex(ramda_1.whereEq({
                        resource: action.content.resource,
                        editorId: action.content.editorId,
                    }))(openingFiles);
                    if (index === -1) {
                        openingFiles.push(Object.assign({}, action.content, { newValue: action.content.value, editorId: activeEditorId }));
                    }
                }
                editingFiles = lodash_1.filter(state.editingFiles, item => item.editorId !== editorId);
                editingFiles.push(Object.assign({}, action.content, { editorId: activeEditorId }));
                return Object.assign({}, state, { readingFile: { resource: '' }, openingFiles: [...openingFiles], editingFiles: [...editingFiles], activeEditorId, editors: [...editors], editorWrappers: client_core_1.addEditorHistory(editorWrappers, editorId, action.content.resource), oldValue: '', addIgnore: '' });
            }
            else {
                return Object.assign({}, state, { readingFile: { resource: '' } });
            }
        case actionTypes.REMOVE_EDIT:
            openingFiles = [...state.openingFiles];
            editingFiles = [...state.editingFiles];
            editors = [...state.editors];
            editorWrappers = [...state.editorWrappers];
            activeEditorId = state.activeEditorId;
            if (action.content.editorId) {
                editorId = action.content.editorId;
                index = ramda_1.findIndex(ramda_1.whereEq({
                    resource: action.content.resource,
                    editorId,
                }))(openingFiles);
                if (index !== -1) {
                    openingFiles = ramda_1.remove(index, 1, openingFiles);
                }
                if (openingFiles.length === 0) {
                    return initialEditState;
                }
                else {
                    index = ramda_1.findIndex(ramda_1.whereEq({
                        resource: action.content.resource,
                        editorId,
                    }))(editingFiles);
                    if (index !== -1) {
                        editingFiles = ramda_1.remove(index, 1, editingFiles);
                        const activeEditorFiles = lodash_1.filter(openingFiles, item => item.editorId === editorId);
                        if (activeEditorFiles.length) {
                            editorWrappers = client_core_1.removeEditorHistory(editorWrappers, editorId, action.content.resource);
                            const lastResource = client_core_1.getLastEditorHistory(editorWrappers, editorId);
                            if (lastResource) {
                                const editingFile = ramda_1.find(ramda_1.whereEq({ resource: lastResource }))(activeEditorFiles);
                                editingFiles.push(editingFile);
                            }
                        }
                        else {
                            const editorIndex = editors.indexOf(editorId);
                            if (editorIndex !== -1) {
                                editors.splice(editorIndex, 1);
                                editorWrappers.splice(editorIndex, 1);
                            }
                            if (activeEditorId === editorId) {
                                activeEditorId = editors[0];
                            }
                        }
                    }
                    return Object.assign({}, state, { openingFiles: [...openingFiles], editingFiles: [...editingFiles], editors: [...editors], editorWrappers: [...editorWrappers], activeEditorId });
                }
            }
            else {
                openingFiles = lodash_1.filter(openingFiles, item => item.resource !== action.content.resource);
                if (openingFiles.length === 0) {
                    return initialEditState;
                }
                else {
                    editingFiles = lodash_1.filter(editingFiles, item => item.resource !== action.content.resource);
                    editors.forEach((editorId) => {
                        const activeEditorFiles = lodash_1.filter(openingFiles, item => item.editorId === editorId);
                        if (activeEditorFiles.length) {
                            editorWrappers = client_core_1.removeEditorHistory(editorWrappers, editorId, action.content.resource);
                            const lastResource = client_core_1.getLastEditorHistory(editorWrappers, editorId);
                            if (lastResource) {
                                const editingFile = ramda_1.find(ramda_1.whereEq({ resource: lastResource }))(activeEditorFiles);
                                editingFiles.push(editingFile);
                            }
                        }
                        else {
                            const editorIndex = editors.indexOf(editorId);
                            if (editorIndex !== -1) {
                                editors.splice(editorIndex, 1);
                                editorWrappers.splice(editorIndex, 1);
                            }
                            if (activeEditorId === editorId) {
                                activeEditorId = editors[0];
                            }
                        }
                    });
                    return Object.assign({}, state, { openingFiles: [...openingFiles], editingFiles: [...editingFiles], editors: [...editors], editorWrappers: [...editorWrappers], activeEditorId });
                }
            }
        case actionTypes.SELECT_EDIT:
            activeEditorId = state.activeEditorId;
            editors = [...state.editors];
            editorWrappers = [...state.editorWrappers];
            openingFiles = [...state.openingFiles];
            index = ramda_1.findIndex(ramda_1.whereEq({
                resource: action.content.resource,
                editorId: action.content.editorId,
            }))(openingFiles);
            if (index !== -1) {
                editingFiles = lodash_1.filter(state.editingFiles, item => item.editorId !== action.content.editorId);
                editingFiles.push(Object.assign({}, openingFiles[index]));
                return Object.assign({}, state, { editingFiles: [...editingFiles], editorWrappers: client_core_1.addEditorHistory(editorWrappers, action.content.editorId, action.content.resource) });
            }
            else {
                if (editors.length === 0) {
                    editors = [1];
                    editorWrappers = [{ editorId: 1, height: client_core_1.EDITOR_DEFAULT_HEIGHT, history: [] }];
                    activeEditorId = 1;
                }
                if (action.content.editorId) {
                    activeEditorId = action.content.editorId;
                    index = editors.indexOf(action.content.editorId);
                    if (index === -1) {
                        if (editors.length < 3) {
                            editors.push(action.content.editorId);
                            editorWrappers.push({ editorId: action.content.editorId, height: client_core_1.EDITOR_DEFAULT_HEIGHT, history: [] });
                        }
                        else {
                            activeEditorId = editors[editors.length - 1];
                        }
                    }
                }
                readingFile = {
                    resource: core_1.getPath(action.content.resource),
                    name: action.content.name,
                    editorId: activeEditorId,
                    preopen: true,
                };
                return Object.assign({}, state, { readingFile,
                    activeEditorId, editors: [...editors], editorWrappers: client_core_1.addEditorHistory(editorWrappers, action.content.editorId, action.content.resource), openingFiles: [...openingFiles] });
            }
        case actionTypes.CHANGE_EDIT:
            openingFiles = state.openingFiles;
            editingFiles = state.editingFiles;
            index = ramda_1.findIndex(ramda_1.whereEq({ editorId: state.activeEditorId }))(editingFiles);
            if (index !== -1) {
                const activeEditorFile = state.editingFiles[index];
                let items = lodash_1.filter(openingFiles, item => item.resource === activeEditorFile.resource && !item.deleted);
                items.forEach(item => {
                    const itemIndex = openingFiles.indexOf(item);
                    if (itemIndex !== -1) {
                        openingFiles[itemIndex] = Object.assign({}, openingFiles[itemIndex], { newValue: action.newValue });
                        if (item.editorId === activeEditorFile.editorId) {
                            openingFiles[itemIndex]['preopen'] = false;
                        }
                    }
                });
                return Object.assign({}, state, { openingFiles: [...openingFiles] });
            }
            else {
                return state;
            }
        case actionTypes.KEEP_OPEN_EDITOR:
            openingFiles = state.openingFiles;
            editorWrappers = [...state.editorWrappers];
            index = ramda_1.findIndex(ramda_1.whereEq({
                editorId: action.content.editorId,
                resource: action.content.resource,
            }))(openingFiles);
            if (index !== -1) {
                openingFiles[index] = Object.assign({}, openingFiles[index], { preopen: false });
                return Object.assign({}, state, { openingFiles: [...openingFiles], editorWrappers: client_core_1.addEditorHistory(editorWrappers, action.content.editorId, action.content.resource) });
            }
            else {
                return Object.assign({}, state, { editorWrappers: client_core_1.addEditorHistory(editorWrappers, action.content.editorId, action.content.resource) });
            }
        case actionTypes.UPDATE_CONTENT:
            openingFiles = state.openingFiles;
            editorWrappers = [...state.editorWrappers];
            let items = lodash_1.filter(openingFiles, item => item.resource === action.content.resource && !item.deleted);
            items.forEach(item => {
                const itemIndex = openingFiles.indexOf(item);
                if (itemIndex !== -1) {
                    openingFiles[itemIndex] = Object.assign({}, openingFiles[itemIndex], { newValue: action.content.newValue, value: action.content.newValue });
                }
            });
            return Object.assign({}, state, { openingFiles: [...openingFiles], editorWrappers: client_core_1.addEditorHistory(editorWrappers, action.content.editorId, action.content.resource) });
        case actionTypes.ACTIVATE_EDITOR:
            index = state.editors.indexOf(action.editorId);
            if (index !== -1) {
                return Object.assign({}, state, { activeEditorId: action.editorId });
            }
            else {
                return state;
            }
        case actionTypes.UPDATE_EDITORS_HEIGHT:
            return Object.assign({}, state, { editorWrappers: [...action.editorWrappers] });
        case actionTypes.OPEN_MARKDOWN:
            editorId = action.previewEditorId;
            openingFiles = state.openingFiles;
            editors = lodash_1.clone(state.editors);
            editorWrappers = [...state.editorWrappers];
            activeEditorId = editorId;
            index = editors.indexOf(editorId);
            if (index === -1) {
                if (editors.length < 3) {
                    editors.push(editorId);
                    editorWrappers.push({ editorId, height: client_core_1.EDITOR_DEFAULT_HEIGHT });
                }
                else {
                    activeEditorId = editors[editors.length - 1];
                }
            }
            index = ramda_1.findIndex(ramda_1.whereEq({
                resource: action.content.resource,
                editorId: action.content.editorId,
            }))(openingFiles);
            if (index !== -1) {
                openingFiles[index] = Object.assign({}, action.content, { markdown: true });
            }
            openingFiles.push(Object.assign({}, action.content, { name: `Preview ${action.content.name}`, preview: true, editorId }));
            editingFiles = lodash_1.filter(state.editingFiles, item => item.editorId !== editorId);
            editingFiles.push(Object.assign({}, action.content, { name: `Preview ${action.content.name}`, preview: true, editorId }));
            return Object.assign({}, state, { openingFiles: [...openingFiles], editingFiles: [...editingFiles], activeEditorId, editors: [...editors], editorWrappers: client_core_1.addEditorHistory(editorWrappers, action.content.editorId, action.content.resource) });
        case actionTypes.CLOSE_ALL_EDITORS:
            return initialEditState;
        case actionTypes.SAVE_ALL_EDITORS:
            return Object.assign({}, state, { allSave: action.allSave });
        default:
            return state;
    }
}
const initialFinderOptions = {
    lineNumber: -1,
    searchText: '',
};
function finderOptions(state = initialFinderOptions, action) {
    switch (action.type) {
        case actionTypes.SET_FINDER_OPTIONS:
            return Object.assign({}, state, action.options);
        default:
            return state;
    }
}
exports.editReducers = {
    '@files/edit': edit,
    '@files/finderOptions': finderOptions,
};


/***/ }),
/* 7 */
/***/ (function(module, exports) {

module.exports = require("lodash");

/***/ }),
/* 8 */
/***/ (function(module, exports) {

module.exports = require("@files-stack/core");

/***/ }),
/* 9 */
/***/ (function(module, exports) {

module.exports = require("@files-stack/client-core");

/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes = __webpack_require__(0);
exports.setRootpathAction = (rootpath) => ({
    type: actionTypes.SET_ROOTPATH,
    rootpath,
});
exports.changeDirectoryExpandAction = (resource, expand, path) => ({
    type: actionTypes.CHANGE_DIRECTORY_EXPAND, resource, expand, path,
});
exports.refreshDirectoryAction = () => ({
    type: actionTypes.REFRESH_DIRECTORY,
});
exports.setChildrenCountAction = (resource, children) => ({
    type: actionTypes.SET_CHILDREN_COUNT, resource, children,
});
exports.selectFileAction = (fileStat, path) => ({
    type: actionTypes.SELECT_FILE, fileStat, path,
});
exports.resetMutateAction = () => ({
    type: actionTypes.MUTATE_FILES_RESET,
});
exports.completeMutateAction = () => ({
    type: actionTypes.MUTATE_FILES_COMPLETE,
});
exports.mutateFileAction = (mutation, options) => ({
    type: actionTypes.MUTATE_FILES, mutation, payload: options,
});
exports.collapseAllAction = () => ({
    type: actionTypes.COLLAPSE_ALL,
});
exports.newFileAction = (payload) => ({
    type: actionTypes.NEW_FILE,
    payload,
});
exports.newFolderAction = (payload) => ({
    type: actionTypes.NEW_FOLDER,
    payload,
});
exports.dragOverFileAction = (fileStat, path) => ({
    type: actionTypes.DRAG_OVER_FILE,
    fileStat,
    path,
});
exports.toggleEditorsExpandAction = (expand) => ({
    type: actionTypes.TOGGLE_EDITORS_EXPAND,
    expand,
});


/***/ }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actionTypes = __webpack_require__(0);
exports.openFileAction = (payload) => ({
    type: actionTypes.OPEN_FILE, payload,
});
exports.addEditAction = (content) => ({
    type: actionTypes.ADD_EDIT, content,
});
exports.removeEditAction = (content) => ({
    type: actionTypes.REMOVE_EDIT, content,
});
exports.selectEditAction = (content) => ({
    type: actionTypes.SELECT_EDIT, content,
});
exports.changeEditAction = (newValue) => ({
    type: actionTypes.CHANGE_EDIT, newValue,
});
exports.updateContentAction = (content) => ({
    type: actionTypes.UPDATE_CONTENT, content,
});
exports.activateEditorAction = (editorId) => ({
    type: actionTypes.ACTIVATE_EDITOR, editorId,
});
exports.updateEditorsHeightAction = (editorWrappers) => ({
    type: actionTypes.UPDATE_EDITORS_HEIGHT, editorWrappers,
});
exports.openMarkdownAction = (content, previewEditorId) => ({
    type: actionTypes.OPEN_MARKDOWN, content, previewEditorId,
});
exports.setFinderOptionsAction = (options) => ({
    type: actionTypes.SET_FINDER_OPTIONS, options,
});
exports.saveAllEditorAction = (allSave) => ({
    type: actionTypes.SAVE_ALL_EDITORS, allSave,
});
exports.closeAllEditorAction = () => ({
    type: actionTypes.CLOSE_ALL_EDITORS,
});
exports.keepOpenAction = (content) => ({
    type: actionTypes.KEEP_OPEN_EDITOR, content,
});


/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(13));


/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
const actions_1 = __webpack_require__(2);
exports.editorActions = (dispatch) => {
    return {
        id: actions_1.SET_ROOTPATH,
        label: 'Files: Set Root Path',
        run: (ed) => {
            const root = '/tmp';
            dispatch(actions_1.setRootpathAction(root));
        },
    };
};


/***/ })
/******/ ]);
//# sourceMappingURL=index.js.map