import { IFileExpand, IFilesMutate, INodeFileStat } from '@files-stack/client-core';
import { FilesAction as Action } from '../actions';
export declare const filesReducers: {
    '@files/expand': (state: IFileExpand[], action: Action) => IFileExpand[];
    '@files/selectedFile': (state: INodeFileStat, action: Action) => INodeFileStat;
    '@files/rootpath': (state: string, action: Action) => string;
    '@files/refresh': (state: number, action: Action) => number;
    '@files/mutate': (state: IFilesMutate, action: Action) => IFilesMutate;
    '@files/dragOveredFile': (state: INodeFileStat, action: Action) => INodeFileStat;
    '@files/editorsExpand': (state: boolean, action: Action) => boolean;
};
